Subject: Re: bug#25488: 25.1; gdb package interpreter problem

From: Sergio Durigan Junior <[email-masked]>
Date: Fri, 20 Jan 2017 14:33:02 -0500

On Friday, January 20 2017, Glenn Morris wrote:

>> 1. configure remote system by running "gdbserver --multi localhost:<port>"
>>
>> 2. on host system, run emacs, then "M-x gdb <ret> -i=mi"
>>
>> 3. at the gdb prompt:
>>
>>   file <path-to-exe>
>>   target extended-remote <remote-host-ip-addr>:<port>
>>   set remote exec-file <path-to-exe>
>>   start
>>
>> 4.on the remote side, note the message:
>>
>>   "Cannot exec <path-to-exe> : No such file or directory."
>>
>> specifically, note the space between "<path-to-exe>" and ":", which
>> should not be there. this is the extraneous space.
>
>
> Confirmed on rhel 7.
>
> This seems to be due to the " " in:
>
> (concat gdb-continuation string " ")
>
> in gdb-send, which was added in bug#14847. I've cc'd the author of that change.

Heh, I helped the reporter diagnose this issue, and as it turns out I
was the culprit!

Thanks for the report, I'll take a look at this later today.

Cheers,

-- 
Sergio
GPG key ID: 237A 54B1 0287 28BF 00EF  31F4 D0EB 7628 65FC 5E36
Please send encrypted e-mail if possible
http://sergiodj.net/